IpRoute (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.IpRoute interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net
Interface IpRoute

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface IpRoute

extends LogicalElement

An Ip Route is an element of a Router's routing table

Author:
  johan
Naming Rules:
  0="parent,destination,nextHop"
Persistable:
  true
Table Name:
  IPROUTE
Display Name:
  destination,nextHop

Field Summary
`static int` | `PROTO_BBNSPFLGP`
`static int` | `PROTO_BGP`
`static int` | `PROTO_CISCOIGRP`
`static int` | `PROTO_EGP`
`static int` | `PROTO_ESIS`
`static int` | `PROTO_GGP`
`static int` | `PROTO_HELLO`
`static int` | `PROTO_ICMP`
`static int` | `PROTO_ISIS`
`static int` | `PROTO_NETMGMT`
`static int` | `PROTO_OSPF`
`static int` | `PROTO_OTHER`
`static int` | `PROTO_RIP`
`static int` | `PROTO_STATIC`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`IpAddress` | `getDestination()`
`L2Interface` | `getInterface()`
`IpAddress` | `getMask()`
`IpAddress` | `getNextHop()`
`Router` | `getParent()` Router containing this route
`int` | `getProtocol()`
`boolean` | `hasDestination()`
`boolean` | `hasInterface()`
`boolean` | `hasMask()`
`boolean` | `hasNextHop()`
`boolean` | `hasParent()`
`boolean` | `hasProtocol()`
`void` | `setDestination(IpAddress destination)`
`void` | `setInterface(L2Interface inter)`
`void` | `setMask(IpAddress mask)`
`void` | `setNextHop(IpAddress nextHop)`
`void` | `setParent(Router parent)`
`void` | `setProtocol(int proto)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### PROTO_OTHER

    static final int PROTO_OTHER

See Also:
  Constant Field Values

### PROTO_STATIC

    static final int PROTO_STATIC

See Also:
  Constant Field Values

### PROTO_NETMGMT

    static final int PROTO_NETMGMT

See Also:
  Constant Field Values

### PROTO_ICMP

    static final int PROTO_ICMP

See Also:
  Constant Field Values

### PROTO_EGP

    static final int PROTO_EGP

See Also:
  Constant Field Values

### PROTO_GGP

    static final int PROTO_GGP

See Also:
  Constant Field Values

### PROTO_HELLO

    static final int PROTO_HELLO

See Also:
  Constant Field Values

### PROTO_RIP

    static final int PROTO_RIP

See Also:
  Constant Field Values

### PROTO_ISIS

    static final int PROTO_ISIS

See Also:
  Constant Field Values

### PROTO_ESIS

    static final int PROTO_ESIS

See Also:
  Constant Field Values

### PROTO_CISCOIGRP

    static final int PROTO_CISCOIGRP

See Also:
  Constant Field Values

### PROTO_BBNSPFLGP

    static final int PROTO_BBNSPFLGP

See Also:
  Constant Field Values

### PROTO_OSPF

    static final int PROTO_OSPF

See Also:
  Constant Field Values

### PROTO_BGP

    static final int PROTO_BGP

See Also:
  Constant Field Values

Method Detail

### getParent

    Router getParent()
                     throws AttributeNotSetException

  Router containing this route

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Manages" reverse="true"

### setParent

    void setParent(Router parent)

### hasParent

    boolean hasParent()

### getDestination

    IpAddress getDestination()
                             throws AttributeNotSetException

  Returns:
    the destination
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.RoutesTo" reverse="false"

### setDestination

    void setDestination(IpAddress destination)

### hasDestination

    boolean hasDestination()

### getMask

    IpAddress getMask()
                      throws AttributeNotSetException

  Returns:
    the mask
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setMask

    void setMask(IpAddress mask)

### hasMask

    boolean hasMask()

### getProtocol

    int getProtocol()
                    throws AttributeNotSetException

  Returns:
    the routing protocol that created this route
  Throws:
    `AttributeNotSetException`

### setProtocol

    void setProtocol(int proto)

### hasProtocol

    boolean hasProtocol()

### getInterface

    L2Interface getInterface()
                             throws AttributeNotSetException

  Returns:
    the interface used to reach the next hop
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ForwardsVia" reverse="false"

### setInterface

    void setInterface(L2Interface inter)

### hasInterface

    boolean hasInterface()

### getNextHop

    IpAddress getNextHop()
                         throws AttributeNotSetException

  Returns:
    the next hop
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.RoutesVia" reverse="false"

### setNextHop

    void setNextHop(IpAddress nextHop)

### hasNextHop

    boolean hasNextHop()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD